Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 81414

Summary: guest usernames not being removed
Product: [Retired] Red Hat Public Beta Reporter: Tammy Fox <tammy.c.fox>
Component: redhat-config-sambaAssignee: Brent Fox <bfox>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: phoebe   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-01-21 02:32:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 79579    

Description Tammy Fox 2003-01-09 06:30:02 UTC
If I add one guest username 'myguest,' it is added to the config file
succesfully. If I open the app again and remove it (make the text field
blank) and save it, it is not deleted from the file, and it shows up
again in the GUI the next time I run redhat-config-samba.

Comment 1 Tammy Fox 2003-01-10 03:57:14 UTC
Also, whatever username is specified to map the guest user to must
exist as a user on the local system.

Comment 2 Brent Fox 2003-01-12 03:49:29 UTC
Should be fixed in redhat-config-samba-1.0.1-3.  I replaced the GtkEntry with an
OptionMenu so that it's impossible for the user to make an invalid choice. 
Thanks for your report.  QA, please verify.

Comment 3 Jay Turner 2003-01-21 02:32:17 UTC
Fix confirmed with 1.0.1-6.